Chromium Code Reviews
Help | Chromium Project | Sign in
(4)

Issue 11267035: Fix layering violation where content is included by gpu. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 years, 1 month ago by ccameron
Modified:
4 years, 1 month ago
Reviewers:
piman
CC:
chromium-reviews, joi+watch-content_chromium.org, darin-cc_chromium.org, John Abd-El-Malek
Visibility:
Public.

Description

Fix layering violation where content is included by gpu. Make WebGraphicsContext3DCommandBufferImpl aways use CommandBufferProxyImpl instead of the more abstract CommandBufferProxy. Then remove methods used only by WebGraphicsContext3DCommandBufferImpl from CommandBufferProxy. BUG=157175 Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=164564

Patch Set 1 #

Patch Set 2 : Remove .gitmodules changes #

Patch Set 3 : Remove NOTIMPLEMENTED entrypoints #

Unified diffs Side-by-side diffs Delta from patch set Stats (+54 lines, -133 lines) Patch
M content/common/gpu/client/command_buffer_proxy_impl.h View 1 2 4 chunks +34 lines, -14 lines 0 comments Download
M content/common/gpu/client/gpu_channel_host.h View 3 chunks +5 lines, -6 lines 0 comments Download
M content/common/gpu/client/gpu_channel_host.cc View 3 chunks +5 lines, -5 lines 0 comments Download
M content/common/gpu/client/webgraphicscontext3d_command_buffer_impl.h View 5 chunks +4 lines, -4 lines 0 comments Download
M content/common/gpu/client/webgraphicscontext3d_command_buffer_impl.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M content/renderer/pepper/pepper_platform_context_3d_impl.h View 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/pepper/pepper_platform_context_3d_impl.cc View 3 chunks +3 lines, -3 lines 0 comments Download
M gpu/ipc/command_buffer_proxy.h View 1 2 3 chunks +0 lines, -39 lines 0 comments Download
M ppapi/proxy/ppapi_command_buffer_proxy.h View 1 2 1 chunk +0 lines, -13 lines 0 comments Download
M ppapi/proxy/ppapi_command_buffer_proxy.cc View 1 2 2 chunks +0 lines, -46 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 9 (0 generated)
ccameron
There are also a massive number of methods in PpapiCommandBufferProxy which are marked as NOTIMPLEMENTED ...
4 years, 1 month ago (2012-10-25 08:22:53 UTC) #1
ccameron
I went ahead and got rid of all of the NOTIMPLEMENTED entrypoints from CommandBufferProxy. SetParent ...
4 years, 1 month ago (2012-10-25 08:58:40 UTC) #2
ccameron
Ping. Ptal.
4 years, 1 month ago (2012-10-26 17:38:47 UTC) #3
apatrick_chromium
On 2012/10/26 17:38:47, ccameron1 wrote: > Ping. Ptal. Did you set your reviewers?
4 years, 1 month ago (2012-10-26 19:20:31 UTC) #4
ccameron
Looks like the reviewers line got lost at some point.
4 years, 1 month ago (2012-10-26 19:24:11 UTC) #5
piman
lgtm
4 years, 1 month ago (2012-10-26 23:35:20 UTC) #6
ccameron
Thanks!!
4 years, 1 month ago (2012-10-27 23:26:32 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/ccameron@chromium.org/11267035/10001
4 years, 1 month ago (2012-10-27 23:26:41 UTC) #8
commit-bot: I haz the power
4 years, 1 month ago (2012-10-28 13:05:28 UTC) #9
Change committed as 164564
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f8e48bd